WHATIS(1)

NAME
whatis - describe what a command is

SYNOPSIS
whatis [-C file] [-M path] [-m path] [-S arch] [-s section] name ...

DESCRIPTION
The whatis utility looks up the given commands and shows the header lines from the manual pages. You can then use the man(1) command to get more information. whatis will match manual page names on a case insensitive basis and for multiple word entries will match on each individual word.

The options are as follows:

-C file
    Specify an alternate configuration file in man.conf(5) format. The default is /etc/man.conf.

-M path
    Override the list of standard directories whatis searches for its database named “mandoc.db”. The supplied path must be a colon (‘’): separated list of directories. This search path may also be set using the environment variable MANPATH.

-m path
    Augment the list of standard directories whatis searches for its database named “mandoc.db”. The supplied path must be a colon-separated list of directories. These directories will be searched before the standard directories or the directories supplied with the -M option or the MANPATH environment variable are searched.

-S arch
    Restrict the search to pages for the specified machine(1) architecture. arch is case insensitive. By default, pages for all architectures are shown.

-s section
    Restrict the search to the specified section of the manual. By default, pages from all sections are shown. See man(1) for a listing of sections.

ENVIRONMENT

MANPATH
    The standard search path used by man(1) may be overridden by specifying a path in the MANPATH environment variable. If MANPATH begins with a colon, it is appended to the default list; if it ends with a colon, it is prepended to the default list; or if it contains two adjacent colons, the standard search path is inserted between the colons. If none of these conditions are met, it overrides the standard search path.

FILES
mandoc.db
    name of the makewhatis(8) keyword database
/etc/man.conf
    default man(1) configuration file

EXIT STATUS

SEE ALSO
apropos(1), man(1), whereis(1), which(1), man.conf(5), makewhatis(8)

HISTORY
Part of the functionality of whatis was already provided by the former manwhere utility in 1BSD. The whatis command first appeared in 2BSD. It was rewritten from scratch for OpenBSD 5.6.

The -M option and the MANPATH variable first appeared in 4.3BSD; -m in 4.3BSD Reno; -C in 4.4BSD Lite1; and -S and -s in OpenBSD 5.6.

AUTHORS
-nosplit Bill Joy wrote manwhere in 1977 and the original BSD whatis in February 1979. The current version was written by Kristaps Dzonsons <kristaps@bsd.lv>.